Bug 1011496 - session-migration: process with gateway and signal before it will not complete.
session-migration: process with gateway and signal before it will not complete.
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER5
: 6.0.0
Assigned To: Maciej Swiderski
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 08:39 EDT by Marek Baluch
Modified: 2014-08-06 16:13 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:13:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
process definition (4.65 KB, application/xml)
2013-09-24 08:39 EDT, Marek Baluch
no flags Details

  None (edit)
Description Marek Baluch 2013-09-24 08:39:40 EDT
Created attachment 802206 [details]
process definition

Description of problem:
When a process contains a signal in front of a converging gateway then the execution will not get passed the gateway and the process will not complete.

How to reproduce:
1) Create a process instance (see attached definition) on jBPM5
2) Send a "Continue" signal in jBPM6.

Environment:
Mysql55
Comment 1 Maciej Swiderski 2013-09-27 07:36:19 EDT
fixed loop iteration handling for backward compatibility. In addition, backward compatible strategy for node id has been added as well that is by default disabled to use new (v6 introduced). It can be enabled by specifying system property:

-Djbpm.v5.id.strategy=true

jbpm 
master
https://github.com/droolsjbpm/jbpm/commit/896e21528574e84b7a18e321e84087251f0267c2

6.0.x
https://github.com/droolsjbpm/jbpm/commit/c713dbe20ac9668273ac7aba5cc45d4d9f352bd6

P.S.
One important thing to notice with this case, when working on this based on test cases provided by QE I noticed that process used for this given test is not same for both projects (v5 and v6). THe main issue here is that the nodes in the process definition (bpmn2-xml) is different which will cause kbases to have different node ids in v5 and v6 which will result in incorrect handling of join nodes.
Comment 2 Marek Baluch 2013-11-25 06:26:49 EST
Verified on ER5.

Note You need to log in before you can comment on or make changes to this bug.